Skip to content

List caller-ID pools

GET
/v1/number-pools
curl --request GET \
--url 'https://api.vocapable.com/v1/number-pools?limit=50' \
--header 'Authorization: Bearer <token>'
limit
Limit
integer
default: 50 >= 1 <= 200
cursor
Any of:
string

Successful Response

Media typeapplication/json
CursorPage[NumberPoolSummary]
object
data
required
Data
Array<object>
NumberPoolSummary
object
id
required
Id
string
name
required
Name
string
rotation_strategy
required
Rotation Strategy
string
Allowed value: round_robin
created_at
required
Created At
string format: date-time
next_cursor
Any of:
string
has_more
Has More
boolean
Example
{
"data": [
{
"rotation_strategy": "round_robin"
}
],
"has_more": false
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}